Debian Bug report logs - #619627
gitg: should depend on gsettings-desktop-schemas

version graph

Package: gitg; Maintainer for gitg is Dmitry Smirnov <onlyjob@debian.org>; Source for gitg is src:gitg.

Reported by: David Brigada <brigad@rpi.edu>

Date: Fri, 25 Mar 2011 17:45:02 UTC

Severity: grave

Tags: patch

Merged with 618894, 624091

Found in version gitg/0.1.0-1

Fixed in version gitg/0.2.2-1

Done: Jonny Lamb <jonny@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonny Lamb <jonny@debian.org>:
Bug#619627; Package gitg. (Fri, 25 Mar 2011 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Brigada <brigad@rpi.edu>:
New Bug report received and forwarded. Copy sent to Jonny Lamb <jonny@debian.org>. (Fri, 25 Mar 2011 17:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Brigada <brigad@rpi.edu>
To: submit@bugs.debian.org
Subject: gitg: should depend on gsettings-desktop-schemas
Date: Fri, 25 Mar 2011 13:18:48 -0400
[Message part 1 (text/plain, inline)]
Package: gitg
Version: 0.1.0-1
Justification: renders package unusable
Severity: grave
Tags: patch

When running gitg without having the package gsettings-desktop-schemas
installed, the program terminates with the following error:

GLib-GIO-ERROR **: Settings schema 'org.gnome.desktop.interface' is not
installed

aborting...
Aborted

Installing the package gsettings-desktop-schemas fixes the problem.  The gitg 
package should add a dependency on this package.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gitg depends on:
ii  dbus-x11                   1.4.6-1       simple interprocess messaging syst
ii  git                        1:1.7.4.1-5   fast, scalable, distributed revisi
ii  libatk1.0-0                1.32.0-1+sid1 The ATK accessibility toolkit
ii  libc6                      2.11.2-13     Embedded GNU C Library: Shared lib
ii  libcairo2                  1.10.2-4      The Cairo 2D vector graphics libra
ii  libfontconfig1             2.8.0-2.1     generic font configuration library
ii  libfreetype6               2.4.4-1       FreeType 2 font engine, shared lib
ii  libglib2.0-0               2.28.2-1      The GLib library of C routines
ii  libgtk2.0-0                2.24.3-1~sid1 The GTK+ graphical user interface
ii  libgtksourceview2.0-0      2.10.4-1      shared libraries for the GTK+ synt
ii  libpango1.0-0              1.28.3-2~sid1 Layout and rendering of internatio

gitg recommends no packages.

gitg suggests no packages.

-- no debconf information
[gitg-0.1.0.patch (text/x-patch, attachment)]

Merged 618894 619627. Request was from David Brigada <brigad@rpi.edu> to control@bugs.debian.org. (Fri, 25 Mar 2011 18:15:04 GMT) Full text and rfc822 format available.

Merged 618894 619627 624091. Request was from Guilhem Bonnefille <guilhem.bonnefille@gmail.com> to control@bugs.debian.org. (Wed, 29 Jun 2011 12:15:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Oct 2011 07:34:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:56:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.